"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemberOf = void 0;
const react_1 = require("react");
const MemberOf = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'memberOf',
        ...props,
    }, children);
};
exports.MemberOf = MemberOf;
MemberOf.ProgramMembership = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "memberOf",
        itemScope: true,
        itemType: "https://schema.org/ProgramMembership",
        ...props
    }, children);
};
MemberOf.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "memberOf",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
