"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiversityStaffingReport = void 0;
const react_1 = require("react");
const DiversityStaffingReport = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'diversityStaffingReport',
        ...props,
    }, children);
};
exports.DiversityStaffingReport = DiversityStaffingReport;
DiversityStaffingReport.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "diversityStaffingReport",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
DiversityStaffingReport.Article = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "diversityStaffingReport",
        itemScope: true,
        itemType: "https://schema.org/Article",
        ...props
    }, children);
};
