"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KnowsAbout = void 0;
const react_1 = require("react");
const KnowsAbout = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'knowsAbout',
        ...props,
    }, children);
};
exports.KnowsAbout = KnowsAbout;
KnowsAbout.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "knowsAbout",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
KnowsAbout.Thing = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "knowsAbout",
        itemScope: true,
        itemType: "https://schema.org/Thing",
        ...props
    }, children);
};
